Package org.apache.tomcat.util.threads

## Interface ResizableExecutor

- All Superinterfaces:
    `java.util.concurrent.Executor`
  All Known Implementing Classes:
    `StandardThreadExecutor`

      public interface ResizableExecutor
      extends java.util.concurrent.Executor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActiveCount()` | Returns the approximate number of threads that are actively executing tasks.
    `int` | `getMaxThreads()` |
    `int` | `getPoolSize()` | Returns the current number of threads in the pool.
    `boolean` | `resizePool​(int corePoolSize, int maximumPoolSize)` |
    `boolean` | `resizeQueue​(int capacity)` |

    - ### Methods inherited from interface java.util.concurrent.Executor

      `execute`

- - ### Method Detail

    - #### getPoolSize

          int getPoolSize()

      Returns the current number of threads in the pool.
      Returns:
        the number of threads

    - #### getMaxThreads

          int getMaxThreads()

    - #### getActiveCount

          int getActiveCount()

      Returns the approximate number of threads that are actively executing tasks.
      Returns:
        the number of threads

    - #### resizePool

          boolean resizePool​(int corePoolSize,
                             int maximumPoolSize)

    - #### resizeQueue

          boolean resizeQueue​(int capacity)